nxs_swiper 0.0.5 icon indicating copy to clipboard operation
nxs_swiper: ^0.0.5 copied to clipboard

Nxs Swiper

NXS SWIPER

Swiper

Table of Contents #

Installing #

Add to pubspec.yaml file

dependencies:
  nxs_swiper: ^0.0.5

Import

import 'package:nxs_swiper/nxs_swiper.dart';

Demo #

Code example #

Code example (click to expand)
class MySwiperScreenState extends State<MySwiperScreen> {
  List<Container> pages = [];

  @override
  void initState() {
    super.initState();

    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return CustomSlider(
      pages: this.pages,
      paginationDotBorderColor: Colors.white,
      paginationDotBackgroundColor = Colors.transparent,
      paginationDotCurrentBackgroundColor = Colors.white
    );
  }
}
3
likes
90
pub points
12%
popularity

Publisher

unverified uploader

Nxs Swiper

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on nxs_swiper